ShiwakeDocs
Transactions

/banking/transactions

GET
/api/v1/banking/transactions
X-Api-Key<token>

Tenant API key (sk_live_…), minted from the platform console.

In: header

Query Parameters

walletId?string
type?string

Value in

  • "Deposit"
  • "Withdrawal"
  • "Transfer"
status?string

Value in

  • "Processing"
  • "Completed"
  • "Failed"
channel?string
from?string
Formatdate-time
to?string
Formatdate-time
take?integer
Formatint32
Default100

Response Body

application/json

curl -X GET "https://example.com/api/v1/banking/transactions"
{  "message": "string",  "code": 0,  "data": [    {      "id": "string",      "walletId": "string",      "productId": "string",      "type": "string",      "status": "string",      "amount": 0,      "feeAmount": 0,      "netAmount": 0,      "currency": "string",      "channel": "string",      "externalReference": "string",      "description": "string",      "journalEntryId": "string",      "holdId": "string",      "failureReason": "string",      "idempotencyKey": "string",      "metadata": {        "property1": {          "options": {            "propertyNameCaseInsensitive": true          },          "parent": {},          "root": {}        },        "property2": {          "options": {            "propertyNameCaseInsensitive": true          },          "parent": {},          "root": {}        }      },      "settledAt": "2019-08-24T14:15:22Z",      "completedAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ]}
Edit on GitHub

Last updated on